//  Created by hao.huang on 2021/11/23 .
//  describe:
import 'dart:collection';

import 'package:flutter/cupertino.dart';
class PageStack{
   static LinkedHashMap<String,Queue<num>> pageList= LinkedHashMap<String,Queue<num>>();

   static addPage(String tag,num uid){
      if(pageList.containsKey(tag)){
         Queue<num> queue=pageList[tag]!;
         queue.addFirst(uid);
         pageList[tag]=queue;
      }else{
         Queue<num> queue=Queue();
         queue.addFirst(uid);
         pageList[tag]=queue;
      }
      // debugPrint("========${pageList.toString()}========");
   }

   static removePage(String tag,num uid){
      if(pageList.containsKey(tag)){
         Queue<num> queue=pageList[tag]!;
         queue.remove(uid);
         if(queue.isEmpty){
            pageList.remove(tag);
         }
      }else{

      }
   }

   static bool isCurrentPage(String tag,num uid){
      if(pageList.isNotEmpty) {
         if (pageList.keys.last == tag) {
            Queue<num>? queue=pageList[tag];
            if(queue?.first==uid){
               return true;
            }
         }
      }
      return false;
   }

   static clearPage(){
      pageList.clear();
   }
}